source: squid-ssl/trunk/fuentes/helpers/basic_auth/RADIUS/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 21 months ago

Initial release

File size: 42.7 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = basic_radius_auth$(EXEEXT)
95subdir = helpers/basic_auth/RADIUS
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_basic_radius_auth_OBJECTS = basic_radius_auth.$(OBJEXT) \
165        radius-util.$(OBJEXT)
166basic_radius_auth_OBJECTS = $(am_basic_radius_auth_OBJECTS)
167@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
168am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
169        $(am__DEPENDENCIES_1)
170am__DEPENDENCIES_3 =
171basic_radius_auth_DEPENDENCIES =  \
172        $(top_builddir)/lib/libmiscencoding.la $(am__DEPENDENCIES_2) \
173        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
174        $(am__DEPENDENCIES_3)
175AM_V_lt = $(am__v_lt_@AM_V@)
176am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
177am__v_lt_0 = --silent
178am__v_lt_1 =
179AM_V_P = $(am__v_P_@AM_V@)
180am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
181am__v_P_0 = false
182am__v_P_1 = :
183AM_V_GEN = $(am__v_GEN_@AM_V@)
184am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
185am__v_GEN_0 = @echo "  GEN     " $@;
186am__v_GEN_1 =
187AM_V_at = $(am__v_at_@AM_V@)
188am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
189am__v_at_0 = @
190am__v_at_1 =
191DEFAULT_INCLUDES =
192depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
193am__depfiles_maybe = depfiles
194am__mv = mv -f
195CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
196        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
197LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
198        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
199        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
200        $(AM_CXXFLAGS) $(CXXFLAGS)
201AM_V_CXX = $(am__v_CXX_@AM_V@)
202am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
203am__v_CXX_0 = @echo "  CXX     " $@;
204am__v_CXX_1 =
205CXXLD = $(CXX)
206CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
207        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
208        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
209AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
210am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
211am__v_CXXLD_0 = @echo "  CXXLD   " $@;
212am__v_CXXLD_1 =
213COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
214        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
215LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
216        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
217        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
218        $(AM_CFLAGS) $(CFLAGS)
219AM_V_CC = $(am__v_CC_@AM_V@)
220am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
221am__v_CC_0 = @echo "  CC      " $@;
222am__v_CC_1 =
223CCLD = $(CC)
224LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
225        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
226        $(AM_LDFLAGS) $(LDFLAGS) -o $@
227AM_V_CCLD = $(am__v_CCLD_@AM_V@)
228am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
229am__v_CCLD_0 = @echo "  CCLD    " $@;
230am__v_CCLD_1 =
231SOURCES = $(basic_radius_auth_SOURCES)
232DIST_SOURCES = $(basic_radius_auth_SOURCES)
233am__can_run_installinfo = \
234  case $$AM_UPDATE_INFO_DIR in \
235    n|no|NO) false;; \
236    *) (install-info --version) >/dev/null 2>&1;; \
237  esac
238am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
239am__vpath_adj = case $$p in \
240    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
241    *) f=$$p;; \
242  esac;
243am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
244am__install_max = 40
245am__nobase_strip_setup = \
246  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
247am__nobase_strip = \
248  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
249am__nobase_list = $(am__nobase_strip_setup); \
250  for p in $$list; do echo "$$p $$p"; done | \
251  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
252  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
253    if (++n[$$2] == $(am__install_max)) \
254      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
255    END { for (dir in files) print dir, files[dir] }'
256am__base_list = \
257  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
258  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
259am__uninstall_files_from_dir = { \
260  test -z "$$files" \
261    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
262    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
263         $(am__cd) "$$dir" && rm -f $$files; }; \
264  }
265man8dir = $(mandir)/man8
266NROFF = nroff
267MANS = $(man_MANS)
268am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
269# Read a list of newline-separated strings from the standard input,
270# and print each of them once, without duplicates.  Input order is
271# *not* preserved.
272am__uniquify_input = $(AWK) '\
273  BEGIN { nonempty = 0; } \
274  { items[$$0] = 1; nonempty = 1; } \
275  END { if (nonempty) { for (i in items) print i; }; } \
276'
277# Make sure the list of sources is unique.  This is necessary because,
278# e.g., the same source file might be shared among _SOURCES variables
279# for different programs/libraries.
280am__define_uniq_tagged_files = \
281  list='$(am__tagged_files)'; \
282  unique=`for i in $$list; do \
283    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
284  done | $(am__uniquify_input)`
285ETAGS = etags
286CTAGS = ctags
287am__tty_colors_dummy = \
288  mgn= red= grn= lgn= blu= brg= std=; \
289  am__color_tests=no
290am__tty_colors = { \
291  $(am__tty_colors_dummy); \
292  if test "X$(AM_COLOR_TESTS)" = Xno; then \
293    am__color_tests=no; \
294  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
295    am__color_tests=yes; \
296  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
297    am__color_tests=yes; \
298  fi; \
299  if test $$am__color_tests = yes; then \
300    red='[0;31m'; \
301    grn='[0;32m'; \
302    lgn='[1;32m'; \
303    blu='[1;34m'; \
304    mgn='[0;35m'; \
305    brg='[1m'; \
306    std='[m'; \
307  fi; \
308}
309am__recheck_rx = ^[     ]*:recheck:[    ]*
310am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
311am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
312# A command that, given a newline-separated list of test names on the
313# standard input, print the name of the tests that are to be re-run
314# upon "make recheck".
315am__list_recheck_tests = $(AWK) '{ \
316  recheck = 1; \
317  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
318    { \
319      if (rc < 0) \
320        { \
321          if ((getline line2 < ($$0 ".log")) < 0) \
322            recheck = 0; \
323          break; \
324        } \
325      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
326        { \
327          recheck = 0; \
328          break; \
329        } \
330      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
331        { \
332          break; \
333        } \
334    }; \
335  if (recheck) \
336    print $$0; \
337  close ($$0 ".trs"); \
338  close ($$0 ".log"); \
339}'
340# A command that, given a newline-separated list of test names on the
341# standard input, create the global log from their .trs and .log files.
342am__create_global_log = $(AWK) ' \
343function fatal(msg) \
344{ \
345  print "fatal: making $@: " msg | "cat >&2"; \
346  exit 1; \
347} \
348function rst_section(header) \
349{ \
350  print header; \
351  len = length(header); \
352  for (i = 1; i <= len; i = i + 1) \
353    printf "="; \
354  printf "\n\n"; \
355} \
356{ \
357  copy_in_global_log = 1; \
358  global_test_result = "RUN"; \
359  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
360    { \
361      if (rc < 0) \
362         fatal("failed to read from " $$0 ".trs"); \
363      if (line ~ /$(am__global_test_result_rx)/) \
364        { \
365          sub("$(am__global_test_result_rx)", "", line); \
366          sub("[        ]*$$", "", line); \
367          global_test_result = line; \
368        } \
369      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
370        copy_in_global_log = 0; \
371    }; \
372  if (copy_in_global_log) \
373    { \
374      rst_section(global_test_result ": " $$0); \
375      while ((rc = (getline line < ($$0 ".log"))) != 0) \
376      { \
377        if (rc < 0) \
378          fatal("failed to read from " $$0 ".log"); \
379        print line; \
380      }; \
381      printf "\n"; \
382    }; \
383  close ($$0 ".trs"); \
384  close ($$0 ".log"); \
385}'
386# Restructured Text title.
387am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
388# Solaris 10 'make', and several other traditional 'make' implementations,
389# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
390# by disabling -e (using the XSI extension "set +e") if it's set.
391am__sh_e_setup = case $$- in *e*) set +e;; esac
392# Default flags passed to test drivers.
393am__common_driver_flags = \
394  --color-tests "$$am__color_tests" \
395  --enable-hard-errors "$$am__enable_hard_errors" \
396  --expect-failure "$$am__expect_failure"
397# To be inserted before the command running the test.  Creates the
398# directory for the log if needed.  Stores in $dir the directory
399# containing $f, in $tst the test, in $log the log.  Executes the
400# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
401# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
402# will run the test scripts (or their associated LOG_COMPILER, if
403# thy have one).
404am__check_pre = \
405$(am__sh_e_setup);                                      \
406$(am__vpath_adj_setup) $(am__vpath_adj)                 \
407$(am__tty_colors);                                      \
408srcdir=$(srcdir); export srcdir;                        \
409case "$@" in                                            \
410  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
411    *) am__odir=.;;                                     \
412esac;                                                   \
413test "x$$am__odir" = x"." || test -d "$$am__odir"       \
414  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
415if test -f "./$$f"; then dir=./;                        \
416elif test -f "$$f"; then dir=;                          \
417else dir="$(srcdir)/"; fi;                              \
418tst=$$dir$$f; log='$@';                                 \
419if test -n '$(DISABLE_HARD_ERRORS)'; then               \
420  am__enable_hard_errors=no;                            \
421else                                                    \
422  am__enable_hard_errors=yes;                           \
423fi;                                                     \
424case " $(XFAIL_TESTS) " in                              \
425  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
426    am__expect_failure=yes;;                            \
427  *)                                                    \
428    am__expect_failure=no;;                             \
429esac;                                                   \
430$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
431# A shell command to get the names of the tests scripts with any registered
432# extension removed (i.e., equivalently, the names of the test logs, with
433# the '.log' extension removed).  The result is saved in the shell variable
434# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
435# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
436# since that might cause problem with VPATH rewrites for suffix-less tests.
437# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
438am__set_TESTS_bases = \
439  bases='$(TEST_LOGS)'; \
440  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
441  bases=`echo $$bases`
442RECHECK_LOGS = $(TEST_LOGS)
443AM_RECURSIVE_TARGETS = check recheck
444TEST_SUITE_LOG = test-suite.log
445TEST_EXTENSIONS = @EXEEXT@ .test
446am__test_logs1 = $(TESTS:=.log)
447am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
448TEST_LOGS = $(am__test_logs2:.test.log=.log)
449TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
450TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
451        $(TEST_LOG_FLAGS)
452am__set_b = \
453  case '$@' in \
454    */*) \
455      case '$*' in \
456        */*) b='$*';; \
457          *) b=`echo '$@' | sed 's/\.log$$//'`; \
458       esac;; \
459    *) \
460      b='$*';; \
461  esac
462am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
463        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
464        README
465DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
466ACLOCAL = @ACLOCAL@
467ADAPTATION_LIBS = @ADAPTATION_LIBS@
468ALLOCA = @ALLOCA@
469AMTAR = @AMTAR@
470AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
471AR = @AR@
472ARGZ_H = @ARGZ_H@
473AR_R = @AR_R@
474AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
475AUTH_MODULES = @AUTH_MODULES@
476AUTOCONF = @AUTOCONF@
477AUTOHEADER = @AUTOHEADER@
478AUTOMAKE = @AUTOMAKE@
479AWK = @AWK@
480BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
481BUILDCXX = @BUILDCXX@
482BUILDCXXFLAGS = @BUILDCXXFLAGS@
483BZR = @BZR@
484CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
485CC = @CC@
486CCDEPMODE = @CCDEPMODE@
487CFLAGS = @CFLAGS@
488CGIEXT = @CGIEXT@
489CHMOD = @CHMOD@
490CPP = @CPP@
491CPPFLAGS = @CPPFLAGS@
492CPPUNITCONFIG = @CPPUNITCONFIG@
493CRYPTLIB = @CRYPTLIB@
494CXX = @CXX@
495CXXCPP = @CXXCPP@
496CXXDEPMODE = @CXXDEPMODE@
497CXXFLAGS = @CXXFLAGS@
498CYGPATH_W = @CYGPATH_W@
499DEFAULT_HOSTS = @DEFAULT_HOSTS@
500DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
501DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
502DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
503DEFS = @DEFS@
504DEPDIR = @DEPDIR@
505DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
506DISK_LIBS = @DISK_LIBS@
507DISK_LINKOBJS = @DISK_LINKOBJS@
508DISK_MODULES = @DISK_MODULES@
509DISK_OS_LIBS = @DISK_OS_LIBS@
510DISK_PROGRAMS = @DISK_PROGRAMS@
511DLLTOOL = @DLLTOOL@
512DSYMUTIL = @DSYMUTIL@
513DUMPBIN = @DUMPBIN@
514ECAP_LIBS = @ECAP_LIBS@
515ECHO_C = @ECHO_C@
516ECHO_N = @ECHO_N@
517ECHO_T = @ECHO_T@
518EGREP = @EGREP@
519EPOLL_LIBS = @EPOLL_LIBS@
520EUILIB = @EUILIB@
521EXEEXT = @EXEEXT@
522EXPATLIB = @EXPATLIB@
523EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
524EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
525EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
526FALSE = @FALSE@
527FGREP = @FGREP@
528GREP = @GREP@
529HAVE_CXX11 = @HAVE_CXX11@
530ICAP_LIBS = @ICAP_LIBS@
531INCLTDL = @INCLTDL@
532INSTALL = @INSTALL@
533INSTALL_DATA = @INSTALL_DATA@
534INSTALL_PROGRAM = @INSTALL_PROGRAM@
535INSTALL_SCRIPT = @INSTALL_SCRIPT@
536INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
537KRB5INCS = @KRB5INCS@
538KRB5LIBS = @KRB5LIBS@
539LBERLIB = @LBERLIB@
540LD = @LD@
541LDAPLIB = @LDAPLIB@
542LDFLAGS = @LDFLAGS@
543LIBADD_DL = @LIBADD_DL@
544LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
545LIBADD_DLOPEN = @LIBADD_DLOPEN@
546LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
547LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
548LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
549LIBLTDL = @LIBLTDL@
550LIBOBJS = @LIBOBJS@
551LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
552LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
553LIBS = @LIBS@
554LIBSASL = @LIBSASL@
555LIBTOOL = @LIBTOOL@
556LIB_DB = @LIB_DB@
557LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
558LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
559LINUXDOC = @LINUXDOC@
560LIPO = @LIPO@
561LN = @LN@
562LN_S = @LN_S@
563LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
564LTDLDEPS = @LTDLDEPS@
565LTDLINCL = @LTDLINCL@
566LTDLOPEN = @LTDLOPEN@
567LTLIBOBJS = @LTLIBOBJS@
568LT_CONFIG_H = @LT_CONFIG_H@
569LT_DLLOADERS = @LT_DLLOADERS@
570LT_DLPREOPEN = @LT_DLPREOPEN@
571MAINT = @MAINT@
572MAKEINFO = @MAKEINFO@
573MANIFEST_TOOL = @MANIFEST_TOOL@
574MINGW_LIBS = @MINGW_LIBS@
575MKDIR = @MKDIR@
576MKDIR_P = @MKDIR_P@
577MV = @MV@
578NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
579NETTLELIB = @NETTLELIB@
580NM = @NM@
581NMEDIT = @NMEDIT@
582NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
583OBJDUMP = @OBJDUMP@
584OBJEXT = @OBJEXT@
585OTOOL = @OTOOL@
586OTOOL64 = @OTOOL64@
587PACKAGE = @PACKAGE@
588PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
589PACKAGE_NAME = @PACKAGE_NAME@
590PACKAGE_STRING = @PACKAGE_STRING@
591PACKAGE_TARNAME = @PACKAGE_TARNAME@
592PACKAGE_URL = @PACKAGE_URL@
593PACKAGE_VERSION = @PACKAGE_VERSION@
594PATH_SEPARATOR = @PATH_SEPARATOR@
595PERL = @PERL@
596PKG_CONFIG = @PKG_CONFIG@
597PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
598PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
599PO2HTML = @PO2HTML@
600PO2TEXT = @PO2TEXT@
601POD2MAN = @POD2MAN@
602RANLIB = @RANLIB@
603REGEXLIB = @REGEXLIB@
604REPL_LIBS = @REPL_LIBS@
605REPL_OBJS = @REPL_OBJS@
606REPL_POLICIES = @REPL_POLICIES@
607RM = @RM@
608SED = @SED@
609SET_MAKE = @SET_MAKE@
610SH = @SH@
611SHELL = @SHELL@
612SMBCLIENT = @SMBCLIENT@
613SNMPLIB = @SNMPLIB@
614SQUID_CFLAGS = @SQUID_CFLAGS@
615SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
616SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
617SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
618SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
619SSLLIB = @SSLLIB@
620STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
621STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
622STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
623STORE_TESTS = @STORE_TESTS@
624STRIP = @STRIP@
625TR = @TR@
626TRUE = @TRUE@
627URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
628VERSION = @VERSION@
629WBINFO = @WBINFO@
630WIN32_PSAPI = @WIN32_PSAPI@
631XMLLIB = @XMLLIB@
632XTRA_LIBS = @XTRA_LIBS@
633XTRA_OBJS = @XTRA_OBJS@
634abs_builddir = @abs_builddir@
635abs_srcdir = @abs_srcdir@
636abs_top_builddir = @abs_top_builddir@
637abs_top_srcdir = @abs_top_srcdir@
638ac_ct_AR = @ac_ct_AR@
639ac_ct_CC = @ac_ct_CC@
640ac_ct_CXX = @ac_ct_CXX@
641ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
642am__include = @am__include@
643am__leading_dot = @am__leading_dot@
644am__quote = @am__quote@
645am__tar = @am__tar@
646am__untar = @am__untar@
647bindir = @bindir@
648build = @build@
649build_alias = @build_alias@
650build_cpu = @build_cpu@
651build_os = @build_os@
652build_vendor = @build_vendor@
653builddir = @builddir@
654datadir = @datadir@
655datarootdir = @datarootdir@
656docdir = @docdir@
657dvidir = @dvidir@
658exec_prefix = @exec_prefix@
659host = @host@
660host_alias = @host_alias@
661host_cpu = @host_cpu@
662host_os = @host_os@
663host_vendor = @host_vendor@
664htmldir = @htmldir@
665includedir = @includedir@
666infodir = @infodir@
667install_sh = @install_sh@
668krb5_config = @krb5_config@
669libdir = @libdir@
670libexecdir = @libexecdir@
671localedir = @localedir@
672localstatedir = @localstatedir@
673ltdl_LIBOBJS = @ltdl_LIBOBJS@
674ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
675mandir = @mandir@
676mkdir_p = @mkdir_p@
677oldincludedir = @oldincludedir@
678pdfdir = @pdfdir@
679prefix = @prefix@
680program_transform_name = @program_transform_name@
681psdir = @psdir@
682runstatedir = @runstatedir@
683sbindir = @sbindir@
684sharedstatedir = @sharedstatedir@
685srcdir = @srcdir@
686subdirs = @subdirs@
687sys_symbol_underscore = @sys_symbol_underscore@
688sysconfdir = @sysconfdir@
689target_alias = @target_alias@
690top_build_prefix = @top_build_prefix@
691top_builddir = @top_builddir@
692top_srcdir = @top_srcdir@
693AM_CFLAGS = $(SQUID_CFLAGS)
694AM_CXXFLAGS = $(SQUID_CXXFLAGS)
695CLEANFILES =
696AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
697        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
698        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
699        $(am__append_1) -I$(srcdir)
700@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
701@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
702COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
703subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
704man_MANS = basic_radius_auth.8
705EXTRA_DIST = basic_radius_auth.8 required.m4
706basic_radius_auth_SOURCES = \
707                        basic_radius_auth.cc \
708                        radius.h \
709                        radius-util.cc \
710                        radius-util.h
711
712basic_radius_auth_LDADD = \
713        $(top_builddir)/lib/libmiscencoding.la \
714        $(COMPAT_LIB) \
715        $(NETTLELIB) \
716        $(SSLLIB) \
717        $(XTRA_LIBS)
718
719all: all-am
720
721.SUFFIXES:
722.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
723$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
724        @for dep in $?; do \
725          case '$(am__configure_deps)' in \
726            *$$dep*) \
727              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
728                && { if test -f $@; then exit 0; else break; fi; }; \
729              exit 1;; \
730          esac; \
731        done; \
732        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/basic_auth/RADIUS/Makefile'; \
733        $(am__cd) $(top_srcdir) && \
734          $(AUTOMAKE) --foreign helpers/basic_auth/RADIUS/Makefile
735Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
736        @case '$?' in \
737          *config.status*) \
738            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
739          *) \
740            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
741            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
742        esac;
743$(top_srcdir)/src/Common.am $(am__empty):
744
745$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
746        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
747
748$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
749        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
750$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
751        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
752$(am__aclocal_m4_deps):
753
754clean-checkPROGRAMS:
755        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
756        echo " rm -f" $$list; \
757        rm -f $$list || exit $$?; \
758        test -n "$(EXEEXT)" || exit 0; \
759        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
760        echo " rm -f" $$list; \
761        rm -f $$list
762install-libexecPROGRAMS: $(libexec_PROGRAMS)
763        @$(NORMAL_INSTALL)
764        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
765        if test -n "$$list"; then \
766          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
767          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
768        fi; \
769        for p in $$list; do echo "$$p $$p"; done | \
770        sed 's/$(EXEEXT)$$//' | \
771        while read p p1; do if test -f $$p \
772         || test -f $$p1 \
773          ; then echo "$$p"; echo "$$p"; else :; fi; \
774        done | \
775        sed -e 'p;s,.*/,,;n;h' \
776            -e 's|.*|.|' \
777            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
778        sed 'N;N;N;s,\n, ,g' | \
779        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
780          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
781            if ($$2 == $$4) files[d] = files[d] " " $$1; \
782            else { print "f", $$3 "/" $$4, $$1; } } \
783          END { for (d in files) print "f", d, files[d] }' | \
784        while read type dir files; do \
785            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
786            test -z "$$files" || { \
787            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
788            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
789            } \
790        ; done
791
792uninstall-libexecPROGRAMS:
793        @$(NORMAL_UNINSTALL)
794        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
795        files=`for p in $$list; do echo "$$p"; done | \
796          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
797              -e 's/$$/$(EXEEXT)/' \
798        `; \
799        test -n "$$list" || exit 0; \
800        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
801        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
802
803clean-libexecPROGRAMS:
804        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
805        echo " rm -f" $$list; \
806        rm -f $$list || exit $$?; \
807        test -n "$(EXEEXT)" || exit 0; \
808        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
809        echo " rm -f" $$list; \
810        rm -f $$list
811
812basic_radius_auth$(EXEEXT): $(basic_radius_auth_OBJECTS) $(basic_radius_auth_DEPENDENCIES) $(EXTRA_basic_radius_auth_DEPENDENCIES)
813        @rm -f basic_radius_auth$(EXEEXT)
814        $(AM_V_CXXLD)$(CXXLINK) $(basic_radius_auth_OBJECTS) $(basic_radius_auth_LDADD) $(LIBS)
815
816mostlyclean-compile:
817        -rm -f *.$(OBJEXT)
818
819distclean-compile:
820        -rm -f *.tab.c
821
822@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic_radius_auth.Po@am__quote@
823@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/radius-util.Po@am__quote@
824
825.cc.o:
826@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
827@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
828@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
829@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
830@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
831@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
832
833.cc.obj:
834@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
835@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
836@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
837@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
838@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
839@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
840
841.cc.lo:
842@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
843@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
844@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
845@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
846@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
847@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
848
849mostlyclean-libtool:
850        -rm -f *.lo
851
852clean-libtool:
853        -rm -rf .libs _libs
854install-man8: $(man_MANS)
855        @$(NORMAL_INSTALL)
856        @list1=''; \
857        list2='$(man_MANS)'; \
858        test -n "$(man8dir)" \
859          && test -n "`echo $$list1$$list2`" \
860          || exit 0; \
861        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
862        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
863        { for i in $$list1; do echo "$$i"; done;  \
864        if test -n "$$list2"; then \
865          for i in $$list2; do echo "$$i"; done \
866            | sed -n '/\.8[a-z]*$$/p'; \
867        fi; \
868        } | while read p; do \
869          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
870          echo "$$d$$p"; echo "$$p"; \
871        done | \
872        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
873              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
874        sed 'N;N;s,\n, ,g' | { \
875        list=; while read file base inst; do \
876          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
877            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
878            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
879          fi; \
880        done; \
881        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
882        while read files; do \
883          test -z "$$files" || { \
884            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
885            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
886        done; }
887
888uninstall-man8:
889        @$(NORMAL_UNINSTALL)
890        @list=''; test -n "$(man8dir)" || exit 0; \
891        files=`{ for i in $$list; do echo "$$i"; done; \
892        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
893          sed -n '/\.8[a-z]*$$/p'; \
894        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
895              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
896        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
897
898ID: $(am__tagged_files)
899        $(am__define_uniq_tagged_files); mkid -fID $$unique
900tags: tags-am
901TAGS: tags
902
903tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
904        set x; \
905        here=`pwd`; \
906        $(am__define_uniq_tagged_files); \
907        shift; \
908        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
909          test -n "$$unique" || unique=$$empty_fix; \
910          if test $$# -gt 0; then \
911            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
912              "$$@" $$unique; \
913          else \
914            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
915              $$unique; \
916          fi; \
917        fi
918ctags: ctags-am
919
920CTAGS: ctags
921ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
922        $(am__define_uniq_tagged_files); \
923        test -z "$(CTAGS_ARGS)$$unique" \
924          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
925             $$unique
926
927GTAGS:
928        here=`$(am__cd) $(top_builddir) && pwd` \
929          && $(am__cd) $(top_srcdir) \
930          && gtags -i $(GTAGS_ARGS) "$$here"
931cscopelist: cscopelist-am
932
933cscopelist-am: $(am__tagged_files)
934        list='$(am__tagged_files)'; \
935        case "$(srcdir)" in \
936          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
937          *) sdir=$(subdir)/$(srcdir) ;; \
938        esac; \
939        for i in $$list; do \
940          if test -f "$$i"; then \
941            echo "$(subdir)/$$i"; \
942          else \
943            echo "$$sdir/$$i"; \
944          fi; \
945        done >> $(top_builddir)/cscope.files
946
947distclean-tags:
948        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
949
950# Recover from deleted '.trs' file; this should ensure that
951# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
952# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
953# to avoid problems with "make -n".
954.log.trs:
955        rm -f $< $@
956        $(MAKE) $(AM_MAKEFLAGS) $<
957
958# Leading 'am--fnord' is there to ensure the list of targets does not
959# expand to empty, as could happen e.g. with make check TESTS=''.
960am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
961am--force-recheck:
962        @:
963
964$(TEST_SUITE_LOG): $(TEST_LOGS)
965        @$(am__set_TESTS_bases); \
966        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
967        redo_bases=`for i in $$bases; do \
968                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
969                    done`; \
970        if test -n "$$redo_bases"; then \
971          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
972          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
973          if $(am__make_dryrun); then :; else \
974            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
975          fi; \
976        fi; \
977        if test -n "$$am__remaking_logs"; then \
978          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
979               "recursion detected" >&2; \
980        elif test -n "$$redo_logs"; then \
981          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
982        fi; \
983        if $(am__make_dryrun); then :; else \
984          st=0;  \
985          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
986          for i in $$redo_bases; do \
987            test -f $$i.trs && test -r $$i.trs \
988              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
989            test -f $$i.log && test -r $$i.log \
990              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
991          done; \
992          test $$st -eq 0 || exit 1; \
993        fi
994        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
995        ws='[   ]'; \
996        results=`for b in $$bases; do echo $$b.trs; done`; \
997        test -n "$$results" || results=/dev/null; \
998        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
999        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1000        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1001        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1002        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1003        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1004        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1005        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1006          success=true; \
1007        else \
1008          success=false; \
1009        fi; \
1010        br='==================='; br=$$br$$br$$br$$br; \
1011        result_count () \
1012        { \
1013            if test x"$$1" = x"--maybe-color"; then \
1014              maybe_colorize=yes; \
1015            elif test x"$$1" = x"--no-color"; then \
1016              maybe_colorize=no; \
1017            else \
1018              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1019            fi; \
1020            shift; \
1021            desc=$$1 count=$$2; \
1022            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1023              color_start=$$3 color_end=$$std; \
1024            else \
1025              color_start= color_end=; \
1026            fi; \
1027            echo "$${color_start}# $$desc $$count$${color_end}"; \
1028        }; \
1029        create_testsuite_report () \
1030        { \
1031          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1032          result_count $$1 "PASS: " $$pass  "$$grn"; \
1033          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1034          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1035          result_count $$1 "FAIL: " $$fail  "$$red"; \
1036          result_count $$1 "XPASS:" $$xpass "$$red"; \
1037          result_count $$1 "ERROR:" $$error "$$mgn"; \
1038        }; \
1039        {                                                               \
1040          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1041            $(am__rst_title);                                           \
1042          create_testsuite_report --no-color;                           \
1043          echo;                                                         \
1044          echo ".. contents:: :depth: 2";                               \
1045          echo;                                                         \
1046          for b in $$bases; do echo $$b; done                           \
1047            | $(am__create_global_log);                                 \
1048        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1049        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1050        if $$success; then                                              \
1051          col="$$grn";                                                  \
1052         else                                                           \
1053          col="$$red";                                                  \
1054          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1055        fi;                                                             \
1056        echo "$${col}$$br$${std}";                                      \
1057        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1058        echo "$${col}$$br$${std}";                                      \
1059        create_testsuite_report --maybe-color;                          \
1060        echo "$$col$$br$$std";                                          \
1061        if $$success; then :; else                                      \
1062          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1063          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1064            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1065          fi;                                                           \
1066          echo "$$col$$br$$std";                                        \
1067        fi;                                                             \
1068        $$success || exit 1
1069
1070check-TESTS:
1071        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1072        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1073        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1074        @set +e; $(am__set_TESTS_bases); \
1075        log_list=`for i in $$bases; do echo $$i.log; done`; \
1076        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1077        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1078        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1079        exit $$?;
1080recheck: all $(check_PROGRAMS)
1081        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1082        @set +e; $(am__set_TESTS_bases); \
1083        bases=`for i in $$bases; do echo $$i; done \
1084                 | $(am__list_recheck_tests)` || exit 1; \
1085        log_list=`for i in $$bases; do echo $$i.log; done`; \
1086        log_list=`echo $$log_list`; \
1087        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1088                am__force_recheck=am--force-recheck \
1089                TEST_LOGS="$$log_list"; \
1090        exit $$?
1091.test.log:
1092        @p='$<'; \
1093        $(am__set_b); \
1094        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1095        --log-file $$b.log --trs-file $$b.trs \
1096        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1097        "$$tst" $(AM_TESTS_FD_REDIRECT)
1098@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1099@am__EXEEXT_TRUE@       @p='$<'; \
1100@am__EXEEXT_TRUE@       $(am__set_b); \
1101@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1102@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1103@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1104@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1105
1106distdir: $(DISTFILES)
1107        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1108        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1109        list='$(DISTFILES)'; \
1110          dist_files=`for file in $$list; do echo $$file; done | \
1111          sed -e "s|^$$srcdirstrip/||;t" \
1112              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1113        case $$dist_files in \
1114          */*) $(MKDIR_P) `echo "$$dist_files" | \
1115                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1116                           sort -u` ;; \
1117        esac; \
1118        for file in $$dist_files; do \
1119          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1120          if test -d $$d/$$file; then \
1121            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1122            if test -d "$(distdir)/$$file"; then \
1123              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1124            fi; \
1125            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1126              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1127              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1128            fi; \
1129            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1130          else \
1131            test -f "$(distdir)/$$file" \
1132            || cp -p $$d/$$file "$(distdir)/$$file" \
1133            || exit 1; \
1134          fi; \
1135        done
1136check-am: all-am
1137        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1138        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1139check: check-am
1140all-am: Makefile $(PROGRAMS) $(MANS)
1141installdirs:
1142        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
1143          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1144        done
1145install: install-am
1146install-exec: install-exec-am
1147install-data: install-data-am
1148uninstall: uninstall-am
1149
1150install-am: all-am
1151        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1152
1153installcheck: installcheck-am
1154install-strip:
1155        if test -z '$(STRIP)'; then \
1156          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1157            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1158              install; \
1159        else \
1160          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1161            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1162            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1163        fi
1164mostlyclean-generic:
1165        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1166        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1167        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1168
1169clean-generic:
1170        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1171
1172distclean-generic:
1173        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1174        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1175
1176maintainer-clean-generic:
1177        @echo "This command is intended for maintainers to use"
1178        @echo "it deletes files that may require special tools to rebuild."
1179clean: clean-am
1180
1181clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1182        clean-libtool mostlyclean-am
1183
1184distclean: distclean-am
1185        -rm -rf ./$(DEPDIR)
1186        -rm -f Makefile
1187distclean-am: clean-am distclean-compile distclean-generic \
1188        distclean-tags
1189
1190dvi: dvi-am
1191
1192dvi-am:
1193
1194html: html-am
1195
1196html-am:
1197
1198info: info-am
1199
1200info-am:
1201
1202install-data-am: install-man
1203
1204install-dvi: install-dvi-am
1205
1206install-dvi-am:
1207
1208install-exec-am: install-libexecPROGRAMS
1209
1210install-html: install-html-am
1211
1212install-html-am:
1213
1214install-info: install-info-am
1215
1216install-info-am:
1217
1218install-man: install-man8
1219
1220install-pdf: install-pdf-am
1221
1222install-pdf-am:
1223
1224install-ps: install-ps-am
1225
1226install-ps-am:
1227
1228installcheck-am:
1229
1230maintainer-clean: maintainer-clean-am
1231        -rm -rf ./$(DEPDIR)
1232        -rm -f Makefile
1233maintainer-clean-am: distclean-am maintainer-clean-generic
1234
1235mostlyclean: mostlyclean-am
1236
1237mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1238        mostlyclean-libtool
1239
1240pdf: pdf-am
1241
1242pdf-am:
1243
1244ps: ps-am
1245
1246ps-am:
1247
1248uninstall-am: uninstall-libexecPROGRAMS uninstall-man
1249
1250uninstall-man: uninstall-man8
1251
1252.MAKE: check-am install-am install-strip
1253
1254.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1255        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1256        clean-libtool cscopelist-am ctags ctags-am distclean \
1257        distclean-compile distclean-generic distclean-libtool \
1258        distclean-tags distdir dvi dvi-am html html-am info info-am \
1259        install install-am install-data install-data-am install-dvi \
1260        install-dvi-am install-exec install-exec-am install-html \
1261        install-html-am install-info install-info-am \
1262        install-libexecPROGRAMS install-man install-man8 install-pdf \
1263        install-pdf-am install-ps install-ps-am install-strip \
1264        installcheck installcheck-am installdirs maintainer-clean \
1265        maintainer-clean-generic mostlyclean mostlyclean-compile \
1266        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1267        recheck tags tags-am uninstall uninstall-am \
1268        uninstall-libexecPROGRAMS uninstall-man uninstall-man8
1269
1270.PRECIOUS: Makefile
1271
1272
1273$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1274
1275# Tell versions [3.59,3.63) of GNU make to not export all variables.
1276# Otherwise a system limit (for SysV at least) may be exceeded.
1277.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.